use 教学成绩管理数据库    --一段一段选中执行
go
create view 教学成绩视图 
as
select 教学成绩表.学号, 姓名, 课程信息表.名称 课程名称, 分数
  from 教学成绩表, 学生信息表, 课程信息表
  where 教学成绩表.学号 = 学生信息表.学号 and
        教学成绩表.课程编号 = 课程信息表.编号
go
select 课程名称, 分数 from  教学成绩视图 where 学号='110001'

go

alter view 教学成绩视图
as
select 教学成绩表.学号, 学生信息表.姓名, 课程信息表.名称 课程名称, 分数, 
       教师信息表.姓名 教师姓名
  from 教学成绩表, 学生信息表, 课程信息表, 教师信息表
  where 教学成绩表.学号 = 学生信息表.学号 and
        教学成绩表.课程编号 = 课程信息表.编号 and
        教学成绩表.教师编号 = 教师信息表.编号
go

select 学号, 姓名, 课程名称, 分数 
from  教学成绩视图
where 教师姓名 = '杜老师'
go

drop view 教学成绩视图
